Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.tiles
Class ImageTile

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.maryanovsky.map.client.Tile
                      com.maryanovsky.map.client.tiles.ImageTile

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

    public abstract class ImageTile

extends Tile

A `Tile` implementation which uses an image from a specified URL.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary
`protected Image` | `image` The `Image` widget we're using to display the tile image.
`protected SizeView` | `tileSize` The currently requested size of the tile; `null` if automatic.
`protected String` | `url` The URL of the image of the tile.

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`protected` | `ImageTile(String url)` Creates a new `Tile` with the specified image url.

Method Summary
`static ImageTile` | `makeImageTile(String url)` Creates a new `Tile` which will display the image at the specified URL.
`protected void` | `onUnload()` Invoked when the tile is detached from the DOM.
`protected void` | `setImageSize(String size)` Sets the image's width and height style attributes to the specified value.
`void` | `setTileSizePixels(SizeView tileSize)` Sets the size of the tile image, in pixels.

Methods inherited from class com.maryanovsky.map.client.Tile
`cancelLoading, isReady, markReady, markUnready, setReadyListener, startLoading`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### image

    protected final Image image

  The `Image` widget we're using to display the tile image.

### url

    protected final String url

  The URL of the image of the tile.

### tileSize

    protected SizeView tileSize

  The currently requested size of the tile; `null` if automatic.

Constructor Detail

### ImageTile

    protected ImageTile(String url)

  Creates a new `Tile` with the specified image url.

Method Detail

### makeImageTile

    public static ImageTile makeImageTile(String url)

  Creates a new `Tile` which will display the image at the specified URL.

### setImageSize

    protected void setImageSize(String size)

  Sets the image's width and height style attributes to the specified value.

### setTileSizePixels

    public void setTileSizePixels(SizeView tileSize)

  Sets the size of the tile image, in pixels. A `null` value resets it to the default size (the native size of the image at the URL).

  Specified by:
    `setTileSizePixels` in class `Tile`

### onUnload

    protected void onUnload()

  Invoked when the tile is detached from the DOM.

  Overrides:
    `onUnload` in class `Widget`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD